ENV

------------------------------------------------------------------------------

# uname -a

AIX aixserver00 1 6 000063E2D900

 

# oslevel -s

6100-07-02-1150

 

# bin/httpd -V

Server version: Apache/2.4.3 (Unix)

Server built:   Dec 20 2012 14:00:23

Server's Module Magic Number: 20120211:6

Server loaded:  APR 1.4.6, APR-UTIL 1.5.1

Compiled using: APR 1.4.6, APR-UTIL 1.5.1

Architecture:   32-bit

Server MPM:     worker

  threaded:     yes (fixed thread count)

    forked:     yes (variable process count)

Server compiled with....

-D APR_HAS_SENDFILE

-D APR_HAS_MMAP

-D APR_HAVE_IPV6 (IPv4-mapped addresses enabled)

-D APR_USE_SYSVSEM_SERIALIZE

-D APR_USE_PTHREAD_SERIALIZE

-D SINGLE_LISTEN_UNSERIALIZED_ACCEPT

-D APR_HAS_OTHER_CHILD

-D AP_HAVE_RELIABLE_PIPED_LOGS

-D DYNAMIC_MODULE_LIMIT=256

-D HTTPD_ROOT="/usr/IBM/WebSphere/apache2"

-D SUEXEC_BIN="/usr/IBM/WebSphere/apache2/bin/suexec"

-D DEFAULT_PIDLOG="logs/httpd.pid"

-D DEFAULT_SCOREBOARD="logs/apache_runtime_status"

-D DEFAULT_ERRORLOG="logs/error_log"

-D AP_TYPES_CONFIG_FILE="conf/mime.types"

-D SERVER_CONFIG_FILE="conf/httpd.conf"

 

# bin/httpd -l

Compiled in modules:

  core.c

  mod_so.c

  http_core.c

  worker.c

 

# RPM/LPP Versions (RPMs are from perzl.org)

  xlc     -> 12.0

  gcc     -> 4.7

  pcre    -> 8.32

  libxml2 -> 2.8.0-2

  lua     -> 5.2.1-1

 

# ModSecurity -> 2.7.1

 

 

Problem

------------------------------------------------------------------------------

We're using apache server is with mod_security to front end IHS.

I'm trying to update apache and mod_security.  Apache is compiling fine.

The problem is with mod_security.  It compiles with both xlc and gcc; however,

when I start apache I get the following error:

 

  # /usr/IBM/WebSphere/apache2/bin/apachectl start -f conf/httpd_internal.conf

  /usr/IBM/WebSphere/apache2/bin/apachectl[81]: 21561378 Memory fault(coredump)

 

The dbx dump of the core file:

 

  # dbx bin/httpd core

  Type 'help' for help.

  [using memory image in core]

  reading symbolic information ...warning: no source compiled with -g

 

  Segmentation fault in mod_security2.register_hooks [/usr/IBM/WebSphere/apache2/modules/mod_security2.so] at 0xd67ed1b8 ($t1)

  0xd67ed1b8 (register_hooks+0x38) 801e0000         lwz   r0,0x0(r30)

 

I found similar issues in the following link:

 

  http://sourceforge.net/mailarchive/forum.php?thread_name=CAHQz1rJ7ahPFHV-WGjqqY8oqD2N_hPukKbTA1yTeQ-u9qFSoQA%40mail.gmail.com&forum_name=mod-security-users

 

However, nothing this thread seems to work.

 

Also, this may be known, but the apache2/Makefile  rule install-exec-hook is trying to install mod_security2.so from the destination to the destination.

Changed the install to come from .libs/ and the install worked fine... until you start apache ;).

 

 

Respectfully,

Allan Cano